Author: Kyle Fuller <kyle@fuller.li> 2020-08-25 18:46:53 +0100 +0100 Committer: Kyle Fuller <kyle@fuller.li> 2020-08-25 18:50:42 +0100 +0100 Commit: b68daa4a40b04089cc9f9d3d0c2314b4f2180e54 Parent: 526a125626947ec1fd6b69bffb4e657c385b4490 feat: add base notmuch config
diff --git a/.notmuch-config b/.notmuch-config
new file mode 100644
index 0000000000000000000000000000000000000000..6f84bb2175b6188b8a3e20baa434929e408410d8
--- /dev/null
+++ b/.notmuch-config
@@ -0,0 +1,16 @@
+[database]
+path=/home/kyle/Mail
+
+[user]
+name=Kyle Fuller
+primary_email=kyle@fuller.li
+
+[new]
+tags=new
+ignore=
+
+[search]
+exclude_tags=deleted;spam;
+
+[maildir]
+synchronize_flags=true
diff --git a/Mail/.notmuch/hooks/post-new b/Mail/.notmuch/hooks/post-new
new file mode 100755
index 0000000000000000000000000000000000000000..1fe006794bf14b82ab17a3d68d75d6bf8fa9dff3
--- /dev/null
+++ b/Mail/.notmuch/hooks/post-new
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+set -e
+
+# archive messages from myself
+notmuch tag -new -- tag:new and from:kyle@fuller.li
+
+# tag sent messages
+notmuch tag +sent -- from:kyle@fuller.li and not tag:sent
+
+notmuch tag -new +inbox +unread -- tag:new